Summary:	graphical utility to configure IceWM
Name:		icepref
Version:	1.1
Release:	2
Copyright:	GPL
Group:		X11/Window Managers
URL:		http://members.xoom.com/SaintChoj/%{name}.html
Vendor:		David Mortensen <saintchoj@myrealbox.com>
Source:		http://members.xoom.com/SaintChoj/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}/X11R6
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
Requires:	pygtk python gtk+
BuildArch:	noarch

%description
IcePref is a graphical configuration utility for the
amazingly fast, and light-weight window manager, IceWM.
It allows the user to easily configure all of the options
in the IceWM preferences file (allowing control over both
the behavior and apperance).  This version best matches
the options found in IceWM version 1.0.0.

%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}
install -D -m 0755 %{name} %{buildroot}/%{prefix}/bin/
install -D -m 0755 %{name}.1 %{buildroot}/%{prefix}/man/man1/

%pre
echo 
echo ========================================================================
echo I am now modifying /usr/share/gnome/wm-properties/IceWM.desktop:
echo Modifications follow:
if [ ! -d /usr/share/gnome/wm-properties ]; then
	mkdir -p /usr/share/gnome/wm-properties
fi
if [ ! -f /usr/share/gnome/wm-properties/IceWM.desktop ]; then
	echo [Desktop Entry]
	echo [Desktop Entry] \
		>> /usr/share/gnome/wm-properties/IceWM.desktop
	echo Name=Ice WM
	echo Name=Ice WM \
		>> /usr/share/gnome/wm-properties/IceWM.desktop
	echo Exec=icewm
	echo Exec=icewm \
		>> /usr/share/gnome/wm-properties/IceWM.desktop
	echo TryExec=icewm
	echo TryExec=icewm \
		>> /usr/share/gnome/wm-properties/IceWM.desktop
	echo 
	echo  \
		>> /usr/share/gnome/wm-properties/IceWM.desktop
	echo [Window Manager]
	echo [Window Manager] \
		>> /usr/share/gnome/wm-properties/IceWM.desktop
	echo SessionManaged=true
	echo SessionManaged=true \
		>> /usr/share/gnome/wm-properties/IceWM.desktop
fi
if [ ! "`grep %{name} /usr/share/gnome/wm-properties/IceWM.desktop`" ]; then
	echo ConfigExec=%{name}
	echo ConfigExec=%{name} \
		>> /usr/share/gnome/wm-properties/IceWM.desktop
	echo ConfigTryExec=%{name}
	echo ConfigTryExec=%{name} \
		>> /usr/share/gnome/wm-properties/IceWM.desktop
fi
echo ========================================================================
echo

%postun
echo 
echo ========================================================================
echo I am now modifying /usr/share/gnome/wm-properties/IceWM.desktop:
echo -n Removing instances of %{name}:...
grep -v %{name} /usr/share/gnome/wm-properties/IceWM.desktop \
	> IceWM.desktop.tmp
mv -f IceWM.desktop.tmp /usr/share/gnome/wm-properties/IceWM.desktop
echo done.
echo ========================================================================
echo


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS CHANGES FAQ LICENSE README TODO
%{prefix}/bin/*
%{prefix}/man/man1/*

%changelog
* Fri Jan 14 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- fixed nonworking spec file
- added fix to gnome properties

* Wed Jan 05 2000 David Mortensen <saintchoj@myrealbox.com>
- original rpm
